## ros-foxy-clpe 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION "3.16")
project(clpe)

find_package(ament_cmake REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_search_module(gstreamer_app gstreamer-app-1.0 REQUIRED IMPORTED_TARGET)

add_library(${PROJECT_NAME} SHARED
  lib/ClpeClientApi.cpp
  lib/ClpeSocket.cpp
  lib/ClpeStream.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>)
target_link_libraries(${PROJECT_NAME} PUBLIC PkgConfig::gstreamer_app)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME})
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

ament_export_targets(HAS_LIBRARY_TARGET ${PROJECT_NAME})
ament_package(CONFIG_EXTRAS cmake/extra_dependencies.cmake)

=== main/Makefile ===
### Makefile for the Create CanLab CLPE Client API ###

CC=g++

CFLAGS	= -Wall

DFLAGS	+=

GSTREMER_PKG	= gstreamer-1.0
GSTREAMER_CFG	= `pkg-config $(GSTREMER_PKG) --cflags`
CDFLAGS	= $(CFLAGS) $(DFLAGS) $(INCLUDE) $(GSTREAMER_CFG)

LIBS	=
GSTREAMER_LIB	= `pkg-config $(GSTREMER_PKG) --libs`
GSTREMER_APP_PKG	= gstreamer-app-1.0
GSTREAMER_LIB	+= `pkg-config $(GSTREMER_APP_PKG) --libs`
LIBS	+= $(GSTREAMER_LIB)

LDFLAGS	+= $(LIBS)

EXEC=ClpeApi_Example_Main
OBJS=ClpeApi_Example_Main.o

$(EXEC): $(OBJS)
	 	 $(CC) $(CDFLAGS) -o $@ $(OBJS) -L../lib -lclpe $(LDFLAGS) `pkg-config $(GSTREMER_PKG) --cflags`

%.o: %.cpp
	 $(CC) $(CDFLAGS) -c $< -o $@ -I../include $(LDFLAGS) `pkg-config $(GSTREMER_PKG) --cflags`

clean:
		rm -f $(OBJS) $(EXEC)

=== debian/changelog ===
ros-foxy-clpe (0.1.1-1focal) focal; urgency=high

  * remove eeprom
  * Contributors: Can-lab Corporatio

 -- Dongwoo Sun <dwsun@can-lab.co.kr>  Wed, 24 Aug 2022 07:00:00 -0000

ros-foxy-clpe (0.1.0-1focal) focal; urgency=high

  * Provides libclpe
  * Contributors: Can-lab Corporation

 -- Dongwoo Sun <dwsun@can-lab.co.kr>  Wed, 20 Apr 2022 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-clpe
Section: misc
Priority: optional
Maintainer: Dongwoo Sun <dwsun@can-lab.co.kr>
Build-Depends: debhelper (>= 9.0.0), gir1.2-gst-plugins-base-1.0, gstreamer1.0-plugins-base, iputils-ping, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-base1.0-dev, net-tools, network-manager, pkg-config, procps, python3-colcon-common-extensions, ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-clpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gstreamer1.0-plugins-base, iputils-ping, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-base1.0-dev, net-tools, network-manager, procps, ros-foxy-ros-workspace
Description: clpe sdk

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-clpe//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
